package de.fhdw.gaming.core.ui.type.validator;

import de.fhdw.gaming.core.ui.InputProviderException;

/**
 * Validates and possibly transforms a value.
 *
 * @param <T> The type of value.
 */
public interface Validator<T> {

    /**
     * Validates and possibly transforms passed value.
     *
     * @param value The input value.
     * @return The output value.
     * @throws InputProviderException if the value is invalid.
     */
    T validate(T value) throws InputProviderException;

    /**
     * Returns information about the validation performed.
     */
    String getInfo();
}
